POST api/products/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
ProductOverviewDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| LocalName | string |
None. |
|
| IsActive | boolean |
None. |
|
| ImageId | string |
None. |
|
| IsOutOfStock | boolean |
None. |
|
| ShortUnique | string |
None. |
|
| Price | PriceDto |
None. |
|
| RefPrice | PriceDto |
None. |
|
| MovieId | string |
None. |
|
| Color | string |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| HumanReadableIdentity | string |
None. |
|
| CampaignPrice | PriceDto |
None. |
|
| HasCampaignPrice | boolean |
None. |
|
| Description | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "bae805ce-96ff-48ac-9705-009099eccb21",
"name": "sample string 1",
"localName": "sample string 2",
"isActive": true,
"imageId": "sample string 4",
"isOutOfStock": true,
"shortUnique": "sample string 6",
"price": {
"id": "c608e18b-d86b-482b-8e50-3678a5dec044",
"amount": 1.0,
"currency": "sample string 2",
"productId": "7870c728-3bcd-4396-97c1-55bb0962b458",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"refPrice": {
"id": "c608e18b-d86b-482b-8e50-3678a5dec044",
"amount": 1.0,
"currency": "sample string 2",
"productId": "7870c728-3bcd-4396-97c1-55bb0962b458",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"movieId": "sample string 7",
"color": "sample string 8",
"created": "2026-06-07T08:21:52.3120677+02:00",
"updated": "2026-06-07T08:21:52.3120677+02:00",
"humanReadableIdentity": "sample string 11",
"campaignPrice": {
"id": "c608e18b-d86b-482b-8e50-3678a5dec044",
"amount": 1.0,
"currency": "sample string 2",
"productId": "7870c728-3bcd-4396-97c1-55bb0962b458",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"hasCampaignPrice": true,
"description": "sample string 12"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.